=== debian/changelog ===
ufc (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix Vcs fields in debian/control.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Jul 2010 13:00:07 +0200

ufc (1.4.0-2) unstable; urgency=low

  * Package moved from pkg-scicomp to Debian Science.
  * Build for Python >= 2.5.

 -- Johannes Ring <johannr@simula.no>  Tue, 20 Apr 2010 09:46:04 +0200

ufc (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.8.4 (no changes
    needed). 

 -- Johannes Ring <johannr@simula.no>  Tue, 02 Feb 2010 15:49:37 +0100

ufc (1.2.0-2) unstable; urgency=low

  * debian/watch, debian/copyright: Update download URLs.
  * debian/python-ufc.install: Allow both site-packages and
    dist-packages.

 -- Johannes Ring <johannr@simula.no>  Mon, 04 Jan 2010 15:20:14 +0100

ufc (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump debhelper version to 7.
    - Bump Standards-Version to 3.8.3 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 24 Sep 2009 11:15:25 +0200

ufc (1.1.2-1) unstable; urgency=low

  * Initial release (Closes: #503072)

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Sep 2008 12:43:05 +0200
