=== debian/control ===
Source: ufc
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all-dev, 
 python-central (>= 0.6.0), scons, swig (>= 1.3.35), libboost-dev
Standards-Version: 3.9.0
XS-Python-Version: >= 2.5
Homepage: http://www.fenics.org/wiki/UFC
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufc/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufc/trunk/

Package: ufc
Section: devel
Architecture: all
Depends: ${misc:Depends}
Suggests: ufc-doc
Description: unified code generation interface for form-compilers
 UFC (Unified Form-assembly Code) is a unified framework for finite element
 assembly. More precisely, it defines a fixed interface for communicating low
 level routines (functions) for evaluating and assembling finite element
 variational forms. The UFC interface consists of a single header file ufc.h
 that specifies a C++ interface that must be implemented by code that complies
 with the UFC specification. Examples of form compilers that support the UFC
 interface are FFC and SyFi.

Package: python-ufc
Section: python
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ufc (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, 
 ${misc:Depends}
Description: unified code generation interface for form-compilers
 UFC (Unified Form-assembly Code) is a unified framework for finite element
 assembly. More precisely, it defines a fixed interface for communicating low
 level routines (functions) for evaluating and assembling finite element
 variational forms. The UFC interface consists of a single header file ufc.h
 that specifies a C++ interface that must be implemented by code that complies
 with the UFC specification. Examples of form compilers that support the UFC
 interface are FFC and SyFi.
 .
 This package contains the Python bindings for UFC.

Package: ufc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ufc, python-ufc
Description: unified code generation interface for form-compilers
 UFC (Unified Form-assembly Code) is a unified framework for finite element
 assembly. More precisely, it defines a fixed interface for communicating low
 level routines (functions) for evaluating and assembling finite element
 variational forms. The UFC interface consists of a single header file ufc.h
 that specifies a C++ interface that must be implemented by code that complies
 with the UFC specification. Examples of form compilers that support the UFC
 interface are FFC and SyFi.
 .
 This package contains documentation for UFC.
