=== debian/watch ===
version=3
http://launchpad.net/ufc/+download http://launchpad.net/ufc/.*/ufc-(.*)\.tar\.gz
