=== debian/changelog ===
ufc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Minor fix.
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 19:39:27 +0100

ufc (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to CMake CDBS class.
    - Remove CDBS files for SCons and remove note in debian/copyright.
    - Replace scons with cmake in Build-Depends in debian/control.
    - Add UFC CMake config file to debian/ufc.install.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 02 Sep 2010 08:25:44 +0200
