=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all-dev, 
- python-central (>= 0.6.0), scons, swig (>= 1.3.35), libboost-dev
-Standards-Version: 3.9.0
+ python-central (>= 0.6.0), cmake (>= 2.8.0), swig (>= 1.3.35), libboost-dev
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
-Homepage: http://www.fenics.org/wiki/UFC
+Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufc/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufc/trunk/
