=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_COMPRESS_EXCLUDE := .pdf
DEB_INSTALL_DOCS_ALL += README AUTHORS TODO
USCAN_DESTDIR := $(CURDIR)

binary-install/python-ufc::
	dh_pycentral -p$(cdbs_curpkg)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)
