## ufc 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 # Set location of our FindFoo.cmake modules
 set(UFC_CMAKE_DIR "${UFC_SOURCE_DIR}/cmake" CACHE INTERNAL "")
+set(CMAKE_MODULE_PATH "${UFC_CMAKE_DIR}/modules")
 
 #------------------------------------------------------------------------------
 # Set UFC version number
@@ -37,6 +38,12 @@
 
 find_package(PythonInterp QUIET)
 find_package(PythonLibs QUIET)
+
+# This is to help pick up swig on Debian/Ubuntu. It can be removed when
+# Debian/Ubuntu change swig2.0 -> swig
+find_program(SWIG_EXECUTABLE swig2.0)
+
+# Find SWIG
 find_package(SWIG QUIET)
 include(UseSWIG)
 
@@ -81,6 +88,11 @@
 # Build SWIG extension and install
 
 if (UFC_ENABLE_PYTHON AND SWIG_FOUND AND Boost_FOUND)
+
+  # Check SWIG version
+  if (${SWIG_VERSION} LESS 2.0)
+      message(ERROR " UFC requires SWIG version 2.0 or greater. You have version ${SWIG_VERSION}. Set UFC_ENABLE_PYTHON to False or install correct SWIG version.")
+    endif()
 
   # Default to release build (can be overridden by user)
   if (NOT CMAKE_BUILD_TYPE)
