=== debian/changelog ===
ufc (2.0.1-1) unstable; urgency=low

  * New upstream release. This release moves to SWIG version >= 2.0 and
    fixes a const interface bug.
  * debian/control:
    - Replace swig with swig2.0 in Build-Depends.
    - Bump Standards-Version to 3.9.2 (no changes needed).
  * debian/rules: Set SWIG_EXECUTABLE to /usr/bin/swig2.0.

 -- Johannes Ring <johannr@simula.no>  Mon, 16 May 2011 23:11:41 +0200

ufc (2.0.0-2) unstable; urgency=low

  * Move from python-central to dh_python2 (closes: #617136).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all-dev package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Replace XS-Python-Version with X-Python-Version.
    - Replace call to dh_pycentral with dh_python2 in debian/rules.
  * Build for all supported Python versions.
  * Update short description for binary packages python-ufc and ufc-doc.
  * Add doc-base file for binary package ufc-doc.

 -- Johannes Ring <johannr@simula.no>  Thu, 14 Apr 2011 15:21:16 +0200
