=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all-dev, 
- python-central (>= 0.6.0), cmake (>= 2.8.0), swig (>= 1.3.35), libboost-dev
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Build-Depends: cdbs (>= 0.4.90~),
+ debhelper (>= 7),
+ python-all-dev (>= 2.6.6-3~),
+ cmake (>= 2.8.0),
+ swig2.0,
+ libboost-dev
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufc/trunk
@@ -29,10 +33,11 @@
 Package: python-ufc
 Section: python
 Architecture: any
-XB-Python-Version: ${python:Versions}
-Depends: ufc (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, 
+Depends: ufc (= ${source:Version}),
+ ${python:Depends},
+ ${shlibs:Depends}, 
  ${misc:Depends}
-Description: unified code generation interface for form-compilers
+Description: Python utilities (templates) for generating UFC code
  UFC (Unified Form-assembly Code) is a unified framework for finite element
  assembly. More precisely, it defines a fixed interface for communicating low
  level routines (functions) for evaluating and assembling finite element
@@ -41,14 +46,14 @@
  with the UFC specification. Examples of form compilers that support the UFC
  interface are FFC and SyFi.
  .
- This package contains the Python bindings for UFC.
+ This package contains Python utilities for generating UFC code.
 
 Package: ufc-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: ufc, python-ufc
-Description: unified code generation interface for form-compilers
+Description: documentation for UFC
  UFC (Unified Form-assembly Code) is a unified framework for finite element
  assembly. More precisely, it defines a fixed interface for communicating low
  level routines (functions) for evaluating and assembling finite element
