## ufc 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 # Top level CMakeLists.txt file for UFC
-
-#------------------------------------------------------------------------------
 
 # Require CMake 2.8
 cmake_minimum_required(VERSION 2.8)
 
 #------------------------------------------------------------------------------
+# Set project name and version number
+
 project(UFC)
+set(UFC_VERSION_MAJOR "2")
+set(UFC_VERSION_MINOR "0")
+set(UFC_VERSION_MICRO "3")
+set(UFC_VERSION_STRING "${UFC_VERSION_MAJOR}.${UFC_VERSION_MINOR}.${UFC_VERSION_MICRO}")
 
 # Set special link option, see `cmake --help-policy CMP0003`
 if(COMMAND cmake_policy)
@@ -19,14 +23,6 @@
 # Set location of our FindFoo.cmake modules
 set(UFC_CMAKE_DIR "${UFC_SOURCE_DIR}/cmake" CACHE INTERNAL "")
 set(CMAKE_MODULE_PATH "${UFC_CMAKE_DIR}/modules")
-
-#------------------------------------------------------------------------------
-# Set UFC version number
-
-set(UFC_VERSION_MAJOR "1")
-set(UFC_VERSION_MINOR "4")
-set(UFC_VERSION_MICRO "1")
-set(UFC_VERSION_STRING "${UFC_VERSION_MAJOR}.${UFC_VERSION_MINOR}.${UFC_VERSION_MICRO}")
 
 #------------------------------------------------------------------------------
 # Options
@@ -61,10 +57,19 @@
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys, distutils.sysconfig; sys.stdout.write(distutils.sysconfig.get_python_lib(plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}'))"
     OUTPUT_VARIABLE PYTHON_INSTALL_PATH
     )
+  # Strip off CMAKE_INSTALL_PREFIX (is added later by CMake)
+  string(REGEX REPLACE "${CMAKE_INSTALL_PREFIX}(/|\\\\)([^ ]*)" "\\2"
+    PYTHON_INSTALL_PATH "${PYTHON_INSTALL_PATH}")
 
   # Set Python installation path
-  set(UFC_INSTALL_PYTHON_MODULE_DIR ${PYTHON_INSTALL_PATH})
-  set(UFC_INSTALL_PYTHON_EXT_DIR ${PYTHON_INSTALL_PATH})
+  if (NOT DEFINED UFC_INSTALL_PYTHON_MODULE_DIR)
+    set(UFC_INSTALL_PYTHON_MODULE_DIR ${PYTHON_INSTALL_PATH}
+      CACHE PATH "Python module installation directory.")
+  endif()
+  if (NOT DEFINED UFC_INSTALL_PYTHON_EXT_DIR)
+    set(UFC_INSTALL_PYTHON_EXT_DIR ${PYTHON_INSTALL_PATH}
+      CACHE PATH "Python extension module installation directory.")
+  endif()
 endif (PYTHONINTERP_FOUND)
 
 #------------------------------------------------------------------------------
@@ -150,11 +155,21 @@
   )
 
 #------------------------------------------------------------------------------
-# Generate ufc-config.cmake file
+# Generate UFCConfig.cmake file
 
-configure_file(${UFC_CMAKE_DIR}/ufc-config.cmake.in ufc-config.cmake @ONLY)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ufc-config.cmake
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${UFC_CMAKE_CONFIG_DIR}
+configure_file(${UFC_CMAKE_DIR}/UFCConfig.cmake.in UFCConfig.cmake @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/UFCConfig.cmake
+  DESTINATION ${UFC_CMAKE_CONFIG_DIR}
+  COMPONENT Development
+  )
+
+#------------------------------------------------------------------------------
+# Generate UFCConfigVersion.cmake file
+
+configure_file(${UFC_CMAKE_DIR}/UFCConfigVersion.cmake.in
+  UFCConfigVersion.cmake @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/UFCConfigVersion.cmake
+  DESTINATION ${UFC_CMAKE_CONFIG_DIR}
   COMPONENT Development
   )
 
@@ -163,7 +178,7 @@
 
 configure_file(${UFC_CMAKE_DIR}/ufc-1.pc.in ufc-1.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ufc-1.pc
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${UFC_PKGCONFIG_DIR}
+  DESTINATION ${UFC_PKGCONFIG_DIR}
   COMPONENT Development
   )
