=== debian/changelog ===
ufc (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/ufc.install: Install all CMake files.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Oct 2011 17:36:41 +0200

ufc (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Aug 2011 14:31:39 +0200
