## ufc 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 project(UFC)
 set(UFC_VERSION_MAJOR "2")
 set(UFC_VERSION_MINOR "0")
-set(UFC_VERSION_MICRO "3")
+set(UFC_VERSION_MICRO "5")
 set(UFC_VERSION_STRING "${UFC_VERSION_MAJOR}.${UFC_VERSION_MINOR}.${UFC_VERSION_MICRO}")
 
 # Set special link option, see `cmake --help-policy CMP0003`
