=== debian/changelog ===
ufc (2.0.5-3) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.9.3.

 -- Johannes Ring <johannr@simula.no>  Thu, 28 Jun 2012 14:27:22 +0200

ufc (2.0.5-2) unstable; urgency=low

  * debian/watch: Replace http with https in URL.
  * Add patch to fix problems with SWIG 2.0.5.

 -- Johannes Ring <johannr@simula.no>  Fri, 11 May 2012 12:24:13 +0200

ufc (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 12:55:13 +0100

ufc (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Mon, 28 Nov 2011 22:40:05 +0100
