=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  cmake (>= 2.8.0),
  swig2.0,
  libboost-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufc/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufc/trunk/
