=== debian/watch ===
version=3
https://launchpad.net/ufc/+download https://launchpad.net/ufc/.*/ufc-(.*)\.tar\.gz
