## ufc 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level CMakeLists.txt file for UFC
 
-# Require CMake 2.8
-cmake_minimum_required(VERSION 2.8)
+# Require CMake 2.6
+cmake_minimum_required(VERSION 2.6)
 
 #------------------------------------------------------------------------------
 # Set project name and version number
 
 project(UFC)
 set(UFC_VERSION_MAJOR "2")
-set(UFC_VERSION_MINOR "0")
-set(UFC_VERSION_MICRO "5")
+set(UFC_VERSION_MINOR "2")
+set(UFC_VERSION_MICRO "0")
 set(UFC_VERSION_STRING "${UFC_VERSION_MAJOR}.${UFC_VERSION_MINOR}.${UFC_VERSION_MICRO}")
 
 # Set special link option, see `cmake --help-policy CMP0003`
@@ -33,11 +33,9 @@
 # Run tests to find required packages
 
 find_package(PythonInterp QUIET)
-find_package(PythonLibs QUIET)
-
-# This is to help pick up swig on Debian/Ubuntu. It can be removed when
-# Debian/Ubuntu change swig2.0 -> swig
-find_program(SWIG_EXECUTABLE swig2.0)
+
+# Find Python library corresponding to Python interpreter
+find_package(PythonLibs ${PYTHON_VERSION_STRING} EXACT QUIET)
 
 # Find SWIG
 find_package(SWIG QUIET)
@@ -53,40 +51,51 @@
 
 # Get Python module path from distutils
 if (PYTHONINTERP_FOUND)
-  execute_process(
-    COMMAND ${PYTHON_EXECUTABLE} -c "import sys, distutils.sysconfig; sys.stdout.write(distutils.sysconfig.get_python_lib(plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}'))"
-    OUTPUT_VARIABLE PYTHON_INSTALL_PATH
-    )
-  # Strip off CMAKE_INSTALL_PREFIX (is added later by CMake)
-  string(REGEX REPLACE "${CMAKE_INSTALL_PREFIX}(/|\\\\)([^ ]*)" "\\2"
-    PYTHON_INSTALL_PATH "${PYTHON_INSTALL_PATH}")
-
-  # Set Python installation path
+
+  if (NOT DEFINED UFC_INSTALL_PYTHON_EXT_DIR)
+    # Get path for platform-dependent Python modules (since we install a binary libary)
+    execute_process(
+      COMMAND ${PYTHON_EXECUTABLE} -c "import sys, distutils.sysconfig; sys.stdout.write(distutils.sysconfig.get_python_lib(plat_specific=True, prefix='${CMAKE_INSTALL_PREFIX}'))"
+      OUTPUT_VARIABLE UFC_INSTALL_PYTHON_EXT_DIR
+      )
+    # Strip off CMAKE_INSTALL_PREFIX (is added later by CMake)
+    string(REGEX REPLACE "${CMAKE_INSTALL_PREFIX}(/|\\\\)([^ ]*)" "\\2"
+      UFC_INSTALL_PYTHON_EXT_DIR "${UFC_INSTALL_PYTHON_EXT_DIR}")
+    set(UFC_INSTALL_PYTHON_EXT_DIR ${UFC_INSTALL_PYTHON_EXT_DIR}
+      CACHE PATH "Python extension module installation directory.")
+  endif()
+
   if (NOT DEFINED UFC_INSTALL_PYTHON_MODULE_DIR)
-    set(UFC_INSTALL_PYTHON_MODULE_DIR ${PYTHON_INSTALL_PATH}
+    # Get path for pure Python modules
+    execute_process(
+      COMMAND ${PYTHON_EXECUTABLE} -c "import sys, distutils.sysconfig; sys.stdout.write(distutils.sysconfig.get_python_lib(plat_specific=False, prefix='${CMAKE_INSTALL_PREFIX}'))"
+      OUTPUT_VARIABLE UFC_INSTALL_PYTHON_MODULE_DIR
+      )
+    # Strip off CMAKE_INSTALL_PREFIX (is added later by CMake)
+    string(REGEX REPLACE "${CMAKE_INSTALL_PREFIX}(/|\\\\)([^ ]*)" "\\2"
+      UFC_INSTALL_PYTHON_MODULE_DIR "${UFC_INSTALL_PYTHON_MODULE_DIR}")
+    set(UFC_INSTALL_PYTHON_MODULE_DIR ${UFC_INSTALL_PYTHON_MODULE_DIR}
       CACHE PATH "Python module installation directory.")
   endif()
-  if (NOT DEFINED UFC_INSTALL_PYTHON_EXT_DIR)
-    set(UFC_INSTALL_PYTHON_EXT_DIR ${PYTHON_INSTALL_PATH}
-      CACHE PATH "Python extension module installation directory.")
-  endif()
 endif (PYTHONINTERP_FOUND)
 
 #------------------------------------------------------------------------------
 # Target names and installation directories
 
 # Set UFC install sub-directories
-set(UFC_LIB_DIR "lib")
-set(UFC_INCLUDE_DIR "include")
-set(UFC_PKGCONFIG_DIR "lib/pkgconfig")
-set(UFC_SHARE_DIR "share")
-set(UFC_MAN_DIR "share/man")
-set(UFC_CMAKE_CONFIG_DIR "share/ufc")
+if (LIB_INSTALL_DIR)
+  set(UFC_LIB_DIR "${LIB_INSTALL_DIR}" CACHE PATH "Library installation directory.")
+else()
+  set(UFC_LIB_DIR "lib" CACHE PATH "Library installation directory.")
+endif()
+set(UFC_INCLUDE_DIR "include" CACHE PATH "C/C++ header installation directory.")
+set(UFC_PKGCONFIG_DIR "${UFC_LIB_DIR}/pkgconfig" CACHE PATH "pkg-config file installation directory.")
+set(UFC_CMAKE_CONFIG_DIR "share/ufc" CACHE PATH "CMake configuration file directory.")
 
 #------------------------------------------------------------------------------
 # Install ufc.h
 
-set(UFC_H src/ufc/ufc.h)
+set(UFC_H src/ufc/ufc.h src/ufc/ufc_geometry.h)
 install(FILES ${UFC_H} DESTINATION ${UFC_INCLUDE_DIR} COMPONENT Development)
 
 #------------------------------------------------------------------------------
@@ -108,6 +117,11 @@
   # Make build directory for SWIG-generated C++ file
   FILE(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/src/ufc")
 
+  # In CMake 2.6 PYTHON_INCLUDE_DIRS was named PYTHON_INCLUDE_PATH
+  if (NOT DEFINED PYTHON_INCLUDE_DIRS)
+    set(PYTHON_INCLUDE_DIRS ${PYTHON_INCLUDE_PATH})
+  endif()
+
   # Include directories
   include_directories(${UFC_SOURCE_DIR}/src/ufc ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
 
@@ -115,7 +129,21 @@
   set(SWIG_MODULE_NAME ufc)
 
   # SWIG flags
-  set(CMAKE_SWIG_FLAGS -module ${SWIG_MODULE_NAME})
+  set(CMAKE_SWIG_FLAGS
+    -module ${SWIG_MODULE_NAME}
+    -shadow
+    -modern
+    -modernargs
+    -fastdispatch
+    -fvirtual
+    -nosafecstrings
+    -noproxydel
+    -fastproxy
+    -fastinit
+    -fastunpack
+    -fastquery
+    -nobuildnone
+    )
 
   # SWIG sources
   set(SWIG_SOURCES src/ufc/ufc.i)
@@ -138,7 +166,7 @@
   install(FILES
     ${SWIG_MODULE_LOCATION}
     ${CMAKE_CURRENT_BINARY_DIR}/ufc.py src/ufc/__init__.py
-    DESTINATION ${UFC_INSTALL_PYTHON_MODULE_DIR}/ufc
+    DESTINATION ${UFC_INSTALL_PYTHON_EXT_DIR}/ufc
     COMPONENT Development
     )
 
@@ -174,6 +202,15 @@
   )
 
 #------------------------------------------------------------------------------
+# Generate UseUFC.cmake file
+
+configure_file(${UFC_CMAKE_DIR}/UseUFC.cmake.in UseUFC.cmake @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/UseUFC.cmake
+  DESTINATION ${UFC_CMAKE_CONFIG_DIR}
+  COMPONENT Development
+  )
+
+#------------------------------------------------------------------------------
 # Generate pkg-config config file (ufc-1.pc)
 
 configure_file(${UFC_CMAKE_DIR}/ufc-1.pc.in ufc-1.pc @ONLY)
@@ -183,4 +220,3 @@
   )
 
 #------------------------------------------------------------------------------
-
