=== debian/changelog ===
ufc (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add usr/include/ufc_geometry.h in ufc.install.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Replace python-all-dev with python-dev in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Change Architecture from all to any for binary package ufc.
    - Update to use current canonical URI in VCS-* fields.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).
  * Add debian/docs.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 11:52:21 +0200

ufc (2.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * Remove patches (fixed upstream).

 -- Johannes Ring <johannr@simula.no>  Wed, 09 Jan 2013	13:43:13 +0100
