=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.90~),
- debhelper (>= 7),
- python-all-dev (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 9),
+ python-dev (>= 2.6.6-3~),
  cmake (>= 2.8.0),
  swig2.0,
  libboost-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
-DM-Upload-Allowed: yes
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufc/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufc/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ufc/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ufc/trunk/
 
 Package: ufc
 Section: devel
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Suggests: ufc-doc
 Description: unified code generation interface for form-compilers
@@ -33,7 +31,7 @@
 Package: python-ufc
 Section: python
 Architecture: any
-Depends: ufc (= ${source:Version}),
+Depends: ufc (= ${binary:Version}),
  ${python:Depends},
  ${shlibs:Depends}, 
  ${misc:Depends}
